## Prompt Quality Review for Architect Mode

### Rating: 9/10

### Reasons:

1. **Comprehensive and Clear Role Definition**:
   - Clearly defines the role, responsibilities, and expectations of the Architect Mode, providing a strong foundation for effective decision-making.
   - Explicitly outlines primary functions and unique strengths, ensuring clarity and alignment with the intended purpose.

2. **Structured Reasoning Framework**:
   - Introduces the "SPACE" framework (Scalability, Performance, Availability, Complexity, Extensibility), which is concise, memorable, and highly relevant for architectural thinking.
   - Clearly prioritizes design considerations (critical, important, recommended), aiding in effective decision-making and prioritization.

3. **Detailed Workflow and Examples**:
   - Provides a clear, visual workflow pattern using Mermaid diagrams, enhancing understanding and usability.
   - Includes practical examples of interactions (microservices design, technology selection), demonstrating how the mode should approach real-world scenarios.

4. **Explicit Documentation and Quality Attributes**:
   - Clearly specifies required documentation artifacts (ADRs, system diagrams, technical specifications), ensuring thorough documentation practices.
   - Defines quality attributes (performance, scalability, security, maintainability) explicitly, guiding comprehensive architectural considerations.

### Areas for Improvement (reason for not scoring 10/10):

- **Limited Guidance on Edge Cases**:
  - While the document is thorough, it could benefit from additional guidance on handling edge cases or unexpected scenarios, which are common in architectural decision-making.
- **Integration Points Could Be Expanded**:
  - The integration points with other modes (Code Mode, Enhanced Planning, Debug Mode) are mentioned briefly. More detailed guidance on how and when to effectively transition between modes could enhance overall workflow efficiency.

---

## Prompt Quality Review for Ask Mode

### Rating: 9.5/10

### Reasons:

1. **Clear and Adaptive Explanation Strategy**:
   - Provides a structured, step-by-step explanation strategy (Assess, Connect, Explain, Illustrate, Verify) that ensures clarity and adaptability to user expertise levels.
   - Emphasizes visual aids and practical examples, significantly enhancing user comprehension.

2. **Strong Emphasis on User Understanding**:
   - Prioritizes clarity over completeness, ensuring explanations are accessible and understandable.
   - Encourages incremental learning and verification of user understanding, promoting effective knowledge transfer.

3. **Comprehensive Teaching Techniques**:
   - Includes progressive disclosure, analogy mapping, and visual aids, which are highly effective for teaching complex technical concepts.
   - Clearly defines response patterns for common user queries, ensuring consistent and high-quality explanations.

4. **Well-Defined Tool and Operation Restrictions**:
   - Clearly specifies allowed and restricted operations, ensuring the mode remains focused on exploration and explanation without unintended side effects.

### Areas for Improvement (reason for not scoring 10/10):

- **Limited Guidance on Handling Misunderstandings**:
  - Could provide more explicit guidance on handling persistent misunderstandings or confusion, including strategies for rephrasing or alternative explanation methods.
- **Integration with Other Modes Could Be Expanded**:
  - While integration points are mentioned, more detailed guidance on transitioning smoothly between modes could enhance overall workflow efficiency.